// Manolescu Razvan , 332 CC

#include <avr\io.h>
#include <avr\interrupt.h>

#define F_CPU 16000000
#include <util/delay.h>
#include <stdlib.h>


int main(){
	
	DDRA = 0x0F; // facem pinii 4-7 input , 0-3 output
	PORTA = 0xF0;  


	while(1){

		int acc = (PINA & 0xF0)>>4; // verificam senzorii din fiecare directie

		// in functie de senzorii activati , vom da comanda la motoare
		switch(acc){
			case 0: 
				PORTA= 0xF0; 
				break;
			case 1: 
				PORTA = 0XF5;
				break;
			case 2: 
				PORTA = 0XF9;
				break;
			case 3: 
				PORTA = 0XF1;
				break;
			case 4: 
				PORTA = 0XFA;
				break;
			case 8: 
				PORTA = 0XF6;
				break;
			case 12: 
				PORTA = 0XF2;
				break;
			case 15:
				PORTA=0xF0;
				break;
			default: break;
		}

		_delay_ms(10);

	}

	return 0;
}
